include ../Makefile.defs

CXXFLAGS += -I..

LDFLAGS += -L../src -L../SRC -lnmstl -lpthread -lreadline -lncurses

examples = $(patsubst %.cc,%,$(wildcard *.cc))

all: $(examples)

$(examples): %: %.o

clean:
	rm -f $(examples) *.lo *.o *.so *.a

##### MAKEDEPEND INFO FOLLOWS
callback.o: ../nmstl/atomic ../nmstl/callback ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/ptr ../nmstl/thread callback.cc
chatclient.o: ../nmstl/atomic ../nmstl/callback ../nmstl/debug ../nmstl/internal.h ../nmstl/io ../nmstl/ioevent ../nmstl/net ../nmstl/netioevent ../nmstl/ntime ../nmstl/ptr ../nmstl/serial ../nmstl/status ../nmstl/terminal ../nmstl/thread chatclient.cc chatproto.h
chatserver.o: ../nmstl/atomic ../nmstl/callback ../nmstl/debug ../nmstl/internal.h ../nmstl/io ../nmstl/ioevent ../nmstl/net ../nmstl/netioevent ../nmstl/ntime ../nmstl/ptr ../nmstl/serial ../nmstl/status ../nmstl/terminal ../nmstl/thread chatproto.h chatserver.cc
debug.o: ../nmstl/debug ../nmstl/internal.h debug.cc
ptr.o: ../nmstl/atomic ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/ptr ../nmstl/thread ptr.cc
result.o: ../nmstl/atomic ../nmstl/callback ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/ptr ../nmstl/rpc ../nmstl/thread ../nmstl/tqueue result.cc
seda.o: ../nmstl/atomic ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/ptr ../nmstl/seda ../nmstl/thread ../nmstl/tqueue seda.cc
serialbase.o: ../nmstl/atomic ../nmstl/debug ../nmstl/internal.h ../nmstl/io ../nmstl/ntime ../nmstl/ptr ../nmstl/serial ../nmstl/status ../nmstl/thread serialbase.cc
serial.o: ../nmstl/atomic ../nmstl/debug ../nmstl/internal.h ../nmstl/io ../nmstl/ntime ../nmstl/ptr ../nmstl/serial ../nmstl/status ../nmstl/thread serial.cc
threads.o: ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/thread threads.cc
tqueues.o: ../nmstl/debug ../nmstl/internal.h ../nmstl/ntime ../nmstl/thread ../nmstl/tqueue tqueues.cc
